Acontext
Agent_skills

Create agent skill

POST
/agent_skills

Upload a zip file containing agent skill. The zip file must contain a SKILL.md file (case-insensitive) with YAML format containing 'name' and 'description' fields. The name and description will be extracted from SKILL.md. Files are stored as Disk Artifacts. Optionally associate with a user identifier.

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/api/v1/agent_skills" \  -F file="string"
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "created_at": "string",
    "description": "string",
    "disk_id": "string",
    "file_index": [
      {
        "mime": "string",
        "path": "string"
      }
    ],
    "id": "string",
    "meta": {},
    "name": "string",
    "updated_at": "string",
    "user_id": "string"
  }
}